# Mod the Gungeon API
A plugin for BepInEx that adds some of Mod the Gungeon's functionality and also adds backwards compatibility for modders who want to port to BepInEx

# [Installation (Manual)](https://github.com/SpecialAPI/ModTheGungeonAPI/wiki/BepInEx-and-Mod-the-Gungeon-API-installation-guide)
# [Porting your mod to BepInEx](https://github.com/SpecialAPI/ModTheGungeonAPI/wiki/Updating-your-Gungeon-mod-to-BepInEx)
# BepInEx Example Mod (Plain)
[Download Zip](https://github.com/SpecialAPI/BepInExExampleMod/archive/refs/heads/main.zip)  
[GitHub Repository](https://github.com/SpecialAPI/BepInExExampleMod)
# BepInEx Example Mod (Items)
[Download Zip](https://github.com/SpecialAPI/BepInExExampleModItems/archive/refs/heads/main.zip)  
[GitHub Repository](https://github.com/SpecialAPI/BepInExExampleModItems)
# [Publicized and Stripped Assembly-CSharp.dll](https://github.com/SpecialAPI/ModTheGungeonAPI/raw/main/Dependencies/Assembly-CSharp.dll)
# [GitHub Repository](https://github.com/SpecialAPI/ModTheGungeonAPI)

# Credits:
 * SpecialAPI - main developer.
 * An3s - initial console + debug log port.
 * KubeRoot - updating SGUI to the latest version.
 * KyleTheScientist - base MTG example mod zips.

# Changelog:
 * 1.4.0: big update, added documentation, enum extensions, shared data, removed some unused or stupid methods and more.
 * 1.3.0: updated SGUI to the latest version thanks to KubeRoot.
 * 1.2.2: updated links *once more*, hopefully made the enabled mods menu bigger and updated version in the title screen
 * 1.2.1: updated links, added credits section, restructured the page a little and added a dependency on BepInEx Pack.
 * 1.2.0: fixed the debug clear command, improved the console clear command and added a new debug key that clears all of the debug log, even errors.
 * 1.1.3: hopefully fixed the Newtonsoft.Json issue
 * 1.1.2: updated the plugin version so that it displays correctly in the title screen.
 * 1.1.1: fixed the thumbnail to actually display the correct version.
 * 1.1.0: big update, be sure to uninstall BepInEx and reinstall it following the updated installation guide.
 * 1.0.1: fixed TextureMap being removed
 * 1.0.0: release